Bug 138220 - [Call hierarchy] Show real root of call hierarchy tree
[Call hierarchy] Show real root of call hierarchy tree
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
6.x
All All
: P3 (vote)
: 7.4
Assigned To: Ralph Ruijs
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 13:48 UTC by Jiri Prox
Modified: 2013-05-05 02:30 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2008-06-25 13:48:44 UTC
Product Version: NetBeans IDE Dev (Build 080625)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b12
System: Linux version 2.6.22-15-generic running on i386; UTF-8; en_US (nb)

When displaying call hierarchy (hierarchy of callers) for method which overrides/implements method from the superclass
the root of hierarchy is actually the method for superclass - this should be announced in the result tree somehow.
Otherwise the result can be confusing. 
Even better would be to possibility to control this behavior since I'd say that both cases are useful
Comment 1 Ralph Ruijs 2013-05-04 14:48:39 UTC
changeset   : http://hg.netbeans.org/jet-main/rev/ef1885ddcec2
author        : Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
date           : Sat May 04 16:37:53 CEST 2013
summary    : #138220 - [Call hierarchy] Show real root of call hierarchy tree
Comment 2 Quality Engineering 2013-05-05 02:30:08 UTC
Integrated into 'main-golden', will be available in build *201305042300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ef1885ddcec2
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #138220 - [Call hierarchy] Show real root of call hierarchy tree


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo